import requests
import time

import json

    
def login_quark(token,config_vars):
    """
    夸克登录
    :param token: 登录token
    :return: 是否登录成功
    """
    aa = {
        'data': {
            'client_id': '515',
            'kps_wg': '',
            'request_id': '',
            'sign_wg': '',
            'token': '',
            'v': '1.2',
            'vcode': ''
        },
        'kps_wg': '',
        'redirect_uri': 'https://uop.quark.cn/cas/ajax/loginWithKpsAndQrcodeToken',
        'sign_wg': ''
    }
    if len(config_vars) > 0:
        _config_vars = config_vars.get("data")
    s = requests.Session()
    s.headers = {
                    'Accept': 'application/json, text/plain, */*',
                    'Content-Type': 'application/x-www-form-urlencoded',
                    'Origin': 'https://b.quark.cn',
                    'Referer': 'https://b.quark.cn/',
                    'User-Agent': 'Mozilla/5.0 (Linux; U; Android 15; zh-CN; 2312DRA50C Build/AQ3A.240912.001) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/123.0.6312.80 Quark/7.9.2.771 Mobile Safari/537.36',
                    'X-Requested-With': 'com.quark.browser',
                    'sec-ch-ua': '"Android WebView";v="123", "Not:A-Brand";v="8", "Chromium";v="123"',
                    'sec-ch-ua-mobile': '?1',
                    'sec-ch-ua-platform': '"Android"'
                }
    # sign_wg = "AAQHaE4ww2nnIPvofH2SfMv3N6OplcPRjxlgScTZozm/ZCMfQP74bsMLyKW883hZCGY="
    # kps_wg = "AARWcp9UM71t5VzV9i5pBJ4dLXjJ7EZL5a9qz2QVVQtkkmcqS4wQGYtk38CRzW6HH4+5c7qsB9/EtUgkWcd8x/k7h9+PmAHUDvxKHUWnX7iL3h2fH86XJ4cEqwvUnQ77QGs="
    vcode = int(time.time() * 1000)  # 相当于JavaScript中的Date.now()，返回当前时间的毫秒数
    request_id = vcode + 5
    is_login = False
    url = 'https://uop.quark.cn/cas/ajax/loginWithKpsAndQrcodeToken'
    queryParams = config_vars.get("queryParams") + str(int(time.time() * 1000))
    data = {
       'client_id': _config_vars.get("client_id"),
       'v': _config_vars.get("v"),
       'request_id': request_id,
       'sign_wg': _config_vars.get("sign_wg"),
       'kps_wg': _config_vars.get("kps_wg"),
       'vcode': vcode,
       'token': token
    }
    print(data)
    res =s.post(url, data=data, params=queryParams)
    print(res.json())
    if res.json().get('status') == 2000000:
        is_login = True
    return is_login